--- title: "getList" slug: "analytics-dataforest-apps-getlist" tags: ["Data Forest", "Apps"] updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/analytics-dataforest-apps-getlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getList Available in VPC Get the list of all apps in a Data Forest account. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/apps/getList | ### Request headers For information about the headers common to all Data Forest APIs, see [Data Forest request headers](/docs/en/analytics-dataforest#%EC%9A%94%EC%B2%AD-%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `search` | Object | Required | Query condition information | | `search.accountId` | String | Required | Account's unique identifier - 0-22 characters - UUID converted to Base62 format - See [getList](/docs/en/analytics-dataforest-accounts-getlist) of Accounts. | ### Request example The request example is as follows: ``` curl --location --request POST 'https://df.apigw.ntruss.com/api/v2/apps/getList' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "search": { "accountId": "***FQJ88q0be79VRB2e***" } }' ``` ## Response This section describes the response format. ### Response body See [GetAppListResponse](/docs/en/common-vapidatatype-getapplistresponse) for the response body. ### Response status codes For information about the HTTP status codes common to all Data Forest APIs, see [Data Forest response status codes](/docs/en/analytics-dataforest#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "success": true, "total": 1, "contents": [ { "id": "***ziexhg0FcWx5eGUA***", "name": "app001", "state": "RUNNING", "queueName": "longlived", "accountId": "***FQJ88q0be79VRB2e***", "accountName": "df001", "startedAt": "2025-02-25T15:49:07+09:00", "lifetimeMillis": 604800, "disabled": false } ] } ```